# Uses of Class
javafx.scene.control.TextFormatter.Change

Packages that use TextFormatter.Change
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TextFormatter.Change in javafx.scene.control

Methods in javafx.scene.control that return TextFormatter.Change
Modifier and Type
Method
Description
`TextFormatter.Change`
TextFormatter.Change.`clone()`
Methods in javafx.scene.control that return types with arguments of type TextFormatter.Change
Modifier and Type
Method
Description
`final UnaryOperator<TextFormatter.Change>`
TextFormatter.`getFilter()`
Filter allows user to intercept and modify any change done to the text content.
Constructor parameters in javafx.scene.control with type arguments of type TextFormatter.Change
Modifier
Constructor
Description
``
`TextFormatter(UnaryOperator<TextFormatter.Change> filter)`
Creates a new Formatter with the provided filter.
``
`TextFormatter(StringConverter<V> valueConverter, V defaultValue, UnaryOperator<TextFormatter.Change> filter)`
Creates a new Formatter with the provided filter, value converter and default value.